Jump to content

badamsfx

Members
  • Content Count

    3
  • Joined

  • Last visited

Posts posted by badamsfx


  1. When did you buy your device? Roxio tech support told me that devices bought before 2019 will not work with Catalina (10.15) and by extension I'm guessing they may not work with Mojave (10.14) but I only asked about Catalina. They also said the latest version of the software will not be compatible with the older pre-2019 hardware. It would be nice if they posted a little tech article which showed which operating systems and software are compatible with which serial numbers of products.


  2. Corel tech support replied and stated that VHS to DVD hardware purchased before 2019 will not be compatible with MacOS Catalina and also that if you download the current versions of the software it will not be compatible with the older Roxio hardware either. My hardware is definitely much older so I am considering buying the latest version as I have a lot of transferring to do. I wasn't entirely certain that the latest hardware will work with Catalina so I posed that question to them. The website does not specifically say it works with Catalina.

×